%% Hysteresis model after Takacs, Meszaros
% Fit function ascending branch

% Mathias Lindner
% March 2014

%%
function F = func_hysteresis_up(par, h, n_par_h)
	% get shifted static parts
	f_up = func_static(par(n_par_h+1:end), h, -1*par(1:n_par_h));
	
	% amplitudes of field strength
	h_max = max(h);
	
	% vertical offset
	beta = 0.5 * (func_static(par(n_par_h+1:end), h_max, par(1:n_par_h)) - ...
		func_static(par(n_par_h+1:end), h_max, -1*par(1:n_par_h)));
	
	F = f_up + beta;

end