%% Hysteresis model after Takacs
% Inverse of static function (get H from J)

% Mathias Lindner
% Match 2014

%%
function H = func_static_inverse(par_s, J)
	% Build data basis to interpolate from
	h = 0:10:20e3;
	h = [h 25e3:5e3:200e3];
	j = func_static(par_s, h);

	% make all requested polarizations positive
	j_neg = find(J<0);
	j_abs = abs(J);
	
	%remove the area where polarization remains constant
	h(diff(j)<1e-12) = [];
	j(diff(j)<1e-12) = [];

	% interpolate
	H = interp1(j, h, j_abs, 'pchip', 'extrap');

	% invert previously inverted data
	H(j_neg) = -1 * H(j_neg);
end
