%% Hysteresis model after Takacs, Meszaros
% Global optimization

% Mathias Lindner
% March 2014



%% Run global optimization on static curve
% problem description
ms_problem = createOptimProblem('lsqnonlin', 'objective', anonym_func, ...
	'lb', par_lb_s, 'ub', par_ub_s, 'x0', par_start_s, 'options', ms_options);
MS = MultiStart('Display', 'iter', 'UseParallel', 'always', ...
		'PlotFcns',@gsplotbestf, 'StartPointsToRun', 'bounds');

[par_s_ms, fval_ms, exit_ms, out_ms, sol_ms] = run(MS, ms_problem, 20);

% take result from static fit for further calculations
par_h_ms = [par_start_h; par_s_ms];


%% Run global optimization on hysteresis curve
% 
% % problem description
% ms_problem = createOptimProblem('lsqnonlin', 'objective', anonym_func_c, ...
% 	'lb', par_lb_h, 'ub', par_ub_h, 'x0', par_h_ms, 'options', ms_options_c);
% MS = MultiStart('Display', 'iter', 'UseParallel', 'always', ...
% 		'PlotFcns',@gsplotbestf, 'StartPointsToRun', 'bounds');
% 
% [par_h_ms, fval_ms, exit_ms, out_ms, sol_ms] = run(MS, ms_problem, 15);